Package be.fgov.ehealth.standards.kmehr.cd.v1

# Enum Class CDEBIRTHCAESAREANINDICATIONvalues

java.lang.Object
java.lang.Enum<CDEBIRTHCAESAREANINDICATIONvalues>
be.fgov.ehealth.standards.kmehr.cd.v1.CDEBIRTHCAESAREANINDICATIONvalues

All Implemented Interfaces:
  `Serializable`, `Comparable<CDEBIRTHCAESAREANINDICATIONvalues>`, `java.lang.constant.Constable`

public enum CDEBIRTHCAESAREANINDICATIONvalues extends Enum<CDEBIRTHCAESAREANINDICATIONvalues>

Java class for CD-EBIRTH-CAESAREANINDICATIONvalues

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-EBIRTH-CAESAREANINDICATIONvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="previouscaesareansection"/>
         <enumeration value="breechpresentation"/>
         <enumeration value="transversepresentation"/>
         <enumeration value="foetaldistress"/>
         <enumeration value="dystocienotinlabour"/>
         <enumeration value="dystocieinlabourinsufficientdilatation"/>
         <enumeration value="dystocieinlabourinsufficientexpulsion"/>
         <enumeration value="maternalindication"/>
         <enumeration value="abruptioplacentae"/>
         <enumeration value="requestedbypatient"/>
         <enumeration value="multiplepregnancy"/>
         <enumeration value="other"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABRUPTIOPLACENTAE`
  `BREECHPRESENTATION`
  `DYSTOCIEINLABOURINSUFFICIENTDILATATION`
  `DYSTOCIEINLABOURINSUFFICIENTEXPULSION`
  `DYSTOCIENOTINLABOUR`
  `FOETALDISTRESS`
  `MATERNALINDICATION`
  `MULTIPLEPREGNANCY`
  `OTHER`
  `PREVIOUSCAESAREANSECTION`
  `REQUESTEDBYPATIENT`
  `TRANSVERSEPRESENTATION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDEBIRTHCAESAREANINDICATIONvalues`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CDEBIRTHCAESAREANINDICATIONvalues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDEBIRTHCAESAREANINDICATIONvalues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PREVIOUSCAESAREANSECTION

    public static final CDEBIRTHCAESAREANINDICATIONvalues PREVIOUSCAESAREANSECTION

  - ### BREECHPRESENTATION

    public static final CDEBIRTHCAESAREANINDICATIONvalues BREECHPRESENTATION

  - ### TRANSVERSEPRESENTATION

    public static final CDEBIRTHCAESAREANINDICATIONvalues TRANSVERSEPRESENTATION

  - ### FOETALDISTRESS

    public static final CDEBIRTHCAESAREANINDICATIONvalues FOETALDISTRESS

  - ### DYSTOCIENOTINLABOUR

    public static final CDEBIRTHCAESAREANINDICATIONvalues DYSTOCIENOTINLABOUR

  - ### DYSTOCIEINLABOURINSUFFICIENTDILATATION

    public static final CDEBIRTHCAESAREANINDICATIONvalues DYSTOCIEINLABOURINSUFFICIENTDILATATION

  - ### DYSTOCIEINLABOURINSUFFICIENTEXPULSION

    public static final CDEBIRTHCAESAREANINDICATIONvalues DYSTOCIEINLABOURINSUFFICIENTEXPULSION

  - ### MATERNALINDICATION

    public static final CDEBIRTHCAESAREANINDICATIONvalues MATERNALINDICATION

  - ### ABRUPTIOPLACENTAE

    public static final CDEBIRTHCAESAREANINDICATIONvalues ABRUPTIOPLACENTAE

  - ### REQUESTEDBYPATIENT

    public static final CDEBIRTHCAESAREANINDICATIONvalues REQUESTEDBYPATIENT

  - ### MULTIPLEPREGNANCY

    public static final CDEBIRTHCAESAREANINDICATIONvalues MULTIPLEPREGNANCY

  - ### OTHER

    public static final CDEBIRTHCAESAREANINDICATIONvalues OTHER

- ## Method Details

  - ### values

    public static CDEBIRTHCAESAREANINDICATIONvalues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDEBIRTHCAESAREANINDICATIONvalues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CDEBIRTHCAESAREANINDICATIONvalues fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.